body {
    font-family: Arial, sans-serif;
    margin: 0;
    padding: 0;
}

header {
    background-color: #2c3e50;
    color:white;
    text-align: center;
    padding: 1em 0;
}

.logo {
    font-size: 2em;
    color: white;
}

main {
    padding: 5px;
}

.product-grid {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(150px, 1fr));
    gap: 5px;
}



@media (min-width: 768px) {
    .product-grid {
        grid-template-columns: repeat(3, 1fr);
    }
}

.product-item {
    text-align: center;
    padding: 10px;
    border: 1px solid #eee;
    background-color: #fff;
}

.product-item img {
    max-width: 100%;
    height: auto;
}

.product-item .buy-button {
    background-color: #007BFF;
    color: white;
    border: none;
    padding: 5px 5px;
    cursor: pointer;
    text-decoration: none;
}

.product-item .buy-button:hover {
    background-color: #0056b3;
}